# Get

Launch stage: Public Preview

`GET /api/2.1/accounts/{account_id}/settings/{name}`

Get a setting value at account level. See `settingsv2/listaccountsettingsmetadata` for list of setting available via public APIs at account level.

API scopes: settings

## Path parameters

- `account_id` (string, optional)
- `name` (string, optional)

## Returns

Returns the Setting object.

## Response

```json
{
  "name": "string",
  "boolean_val": {
    "value": true
  },
  "string_val": {
    "value": "string"
  },
  "integer_val": {
    "value": 0
  },
  "automatic_cluster_update_workspace": {
    "enabled": true,
    "can_toggle": true,
    "maintenance_window": {},
    "enablement_details": {},
    "restart_even_if_no_updates_available": true
  },
  "aibi_dashboard_embedding_approved_domains": {
    "approved_domains": [
      "string"
    ]
  },
  "aibi_dashboard_embedding_access_policy": {
    "access_policy_type": "string"
  },
  "restrict_workspace_admins": {
    "status": "string",
    "disable_gov_tag_creation": true
  },
  "personal_compute": {
    "value": "string"
  },
  "allowed_apps_user_api_scopes": {
    "allowed_scopes": [
      "string"
    ]
  },
  "operational_email_custom_recipient": {
    "email": "string"
  },
  "effective_boolean_val": {
    "value": true
  },
  "effective_string_val": {
    "value": "string"
  },
  "effective_integer_val": {
    "value": 0
  },
  "effective_automatic_cluster_update_workspace": {
    "enabled": true,
    "can_toggle": true,
    "maintenance_window": {},
    "enablement_details": {},
    "restart_even_if_no_updates_available": true
  },
  "effective_aibi_dashboard_embedding_approved_domains": {
    "approved_domains": [
      "string"
    ]
  },
  "effective_aibi_dashboard_embedding_access_policy": {
    "access_policy_type": "string"
  },
  "effective_restrict_workspace_admins": {
    "status": "string",
    "disable_gov_tag_creation": true
  },
  "effective_personal_compute": {
    "value": "string"
  },
  "effective_allowed_apps_user_api_scopes": {
    "allowed_scopes": [
      "string"
    ]
  },
  "effective_operational_email_custom_recipient": {
    "email": "string"
  }
}
```

